## Index

### Functions

- getGradient
- getGradients

## Functions

### Const getGradient

- getGradient(color1: string, color2: string, ratio: number): string

- - Defined in lib/gradient.ts:11

  getGradient

  #### Parameters

  - ##### color1: string

    first color of the gradient

  - ##### color2: string

    last color of the gradient

  - ##### ratio: number

    ?

  #### Returns string

  a gradient between the two colors

### Const getGradients

- getGradients(colors1: string[], colors2: string[], duration: number, frameInterval: number): string[][]

- - Defined in lib/gradient.ts:30

  getGradients

  #### Parameters

  - ##### colors1: string[]

    first colors array of the gradient

  - ##### colors2: string[]

    last colors array of the gradient

  - ##### duration: number

    duration of the transition (define the number of colors array)

  - ##### frameInterval: number

    ?

  #### Returns string[][]

  an array of colors array

Generated using TypeDoc